Chapter 1

Introduction Manifest

 Quarterdeck Manifest is a powerful memory analysis and reporting
tool for your DOS PC or PS/2. Using Manifest you can learn
everything about your memory ~dash~ how much you have, what kind
you have (conventional, extended, or expanded), how it is being
used, and even how fast (or slow) it is. Best yet, Manifest
provides hints on how to optimize your use of memory. The end
result is a twofold benefit: more efficient use of a valuable PC
resource and more memory available for your favorite DOS
programs.

 Memory is the most precious resource of your DOS PC. When
programs were few and small in size, you did not have to think
about memory as a resource to be carefully rationed, but now each
program upgrade results in a larger, more fully featured program.
PC networks require software resident in your PC that
communicates with the network. Easy to use point-and-click
program interfaces require memory resident mouse software.
Terminate and stay resident (TSR) software, such as Sidekick,
need to be on hand instantly ~dash~ thus also requiring memory.
And for those who want the most efficient utilization of the PC,
your favorite programs all need to be up and running and capable
of working in background (multitasking). So today the 640K of
memory used by DOS to run programs is crammed full. 

 As memory needs increased, the PC industry (both hardware and
software vendors) were finding ways to break through DOS's
barriers that restricted a program's size to 640K and that
restricted multitasking to this same 640K. To that end, there
have been several major innovations in memory (expanded memory,
high memory, DOS extenders) that have enabled DOS to become
nearly as powerful as OS/2 promises to be. 

 Those who understand DOS memory and how to use it have a
significant advantage over those who do not. We know this. That
is because we at Quarterdeck have been a leader in enhancing
DOS's memory management capabilities. In 1985 Quarterdeck's
multitasking control program DESQview broke through the DOS
multitasking barrier by taking advantage of expanded memory to
multitask programs in more than 640K on 8088 and 80286 PCs. In
1986 DESQview was the first DOS environment to take advantage of
the 80386 processor's multitasking capabilities. This time we
provided multitasking using the 80386's extended memory. We have
been a standard setter in assuring that DOS Extended programs
(such as Paradox 386, 1-2-3 Rel 3) were compatible with expanded
memory managers, such as Quarterdeck's Expanded Memory Managers
(QEMM-386, QEMM-50/60) and control programs, such as DESQview. 

 Over the years we have pioneered the use of memory between 640K
and 1 MB to run portions of DESQview, TSRs and device drivers.
And today not only DESQview, but QEMM-386, QEMM 50/60 and QRAM,
all give you use of this memory. Manifest is the tool that we
have designed to show users how to make optimal use of this
memory area. However, this is not Manifest's only purpose. For
Manifest provides you with an instant detailed profile of all of
the memory and other hardware in your PC.

~Subhead~ Who Should Use Manifest

 Manifest is a valuable tool for every PC user ~dash~ the
inexperienced user, the experienced user, and even the person
responsible for supporting and servicing PCs within an
organization. 

For the user new to a PC, Manifest is an introductory course, not
only in memory, but in all the key components of a computer
system ~dash~ with the advantage that the information provided is
about your own PC. When you run Manifest, you will instantly
learn whether your PC has the math coprocessor needed by AutoCAD
or the expanded memory recommended by 1-2-3 Release 2. You can
use Manifest to list the contents of your CONFIG.SYS and
AUTOEXEC.BAT files ~dash~ very convenient when calling for
support on a program. If you are running several TSRs and find
there is no memory left for your DOS programs, you can use
Manifest to tell you how much memory each TSR is taking, so you
can weigh costs versus benefits.

For the power user, Manifest shows you the memory your PC
hardware is addressing, how interrupts are being used by both
hardware and software, the speed of your memory, and benchmark
tests of expanded memory. Manifest shows you where unused memory
may be found, provides information on how to access this memory,
and even makes recommendations on how to optimize the memory used
on your system. You will learn whether you can use the memory
from 640K to 1MB to run TSRs, device drivers, network software
and even parts of DOS. 

For the person responsible for supporting PCs in a company,
Manifest gives an instant inventory of memory and of each device
or program using this memory. It tells the processor type (8088,
8086, 80286, 80386, i486), DOS version, BIOS manufacturer and
BIOS date and much more ~dash~ all without opening the case. This
information can be printed or saved to a file to save valuable
time.

Manifest works as either a standard DOS program or as a Terminate
and Stay Resident program. Those using Manifest as a TSR before
an application get an insiders view on how the program uses
memory and interrupts. Manifest also runs in Quarterdeck's
DESQview and gives information about the DESQview window in which
Manifest is running. 

~Subhead~ About This Manual

 This manual is a guide to using Manifest and understanding PC
memory. 

~Item~ Chapter 2: Installation covers how to install and start-up
Manifest.

~Item~ Chapter 3: Road Map covers how you move around Manifest,
how you get help, and how you print Manifest information. 

~Item~ Chapters 4-11 are reference guides to each Manifest
category. These include: System, First Meg, Expanded, Extended,
DOS, QEMM-386, DESQview, and Hints. Each chapter describes terms
with which you might not be familiar and, where appropriate,
gives technical hints for best use.
