Chapter 10

DESQView

This chapter describes your PC's memory as seen by a program
running in a DESQview window. The DESQview category appears only
if Manifest is loaded from within DESQview.

DESQview manages memory. In order to give you the ability to run
your favorite programs, DESQview must minimize the DOS memory it
requires for itself. On 8088 and 8086 PCs with 640K DESQview can
work no magic. The largest program it can run is 640K less the
memory required for DOS less DESQview's overhead.

But, on 80286 PCs with extended memory or EMS 3.2 expanded
memory, DESQview's memory management magic begins. DESQview's
extended memory manager, QEXT.SYS, enables DESQview to run 64K of
itself in extended memory. On any EMS system, DESQview runs 32K
of itself out of the page frame. Each of these techniques reduce
DESQview's conventional memory overhead. 

On 8088, 8086, 80286, and 80836 PCs with EEMS or EMS 4 expanded
memory, DESQview reduces its DOS overhead even more~dash~by first
mapping expanded memory into the unused parts of the PC's high
memory, and then loading parts of DESQview in these areas. As a
result, DESQview's conventional memory overhead can be as little
as 10K. 

DESQview allows you to have several programs open at once and
quickly switch back and forth among them. Programs do not have to
all be in memory at the same time~dash~for DESQview "swaps" the
program in memory to either disk, a RAM disk, or expanded memory
(EMS 3.2, EMS4, or EEMS) in order to run another program in
conventional memory.

DESQview enables you to multitask (work on one program, while, in
background, other programs are also working~dash~for example,
printing, talking to a mainframe, sorting). On PCs without EMS
4.0 or EEMS memory, multitasking is limited to whatever programs
can fit in your PC's conventional memory. 

EEMS and EMS 4 expanded memory that can map into conventional
memory enable programs to run in expanded memory as well as in
conventional memory. DESQview takes advantage of this
capability~dash~letting you run programs in conventional memory
simultaneously with programs in expanded memory. The number of
programs running simultaneoulsy is limited only by the amount of
your expanded memory.

DESQview's multitasking is affected by one other
variable~dash~whether your expanded memory can be mapped into the
addresses of conventional memory.  If your PC's conventional
memory can't be mapped, expanded memory cannot be used for
multitasking. On 80386 PCs and certain 80286 PCs with 0K
motherboards, all of conventional memory is mappable by the
expanded memory manager~dash~resulting in all windows,
(conventional and expanded) being the same size. On PCs with
motherboard memory, the largest expanded memory window is 640K
minus your motherboard memory. 

~Subhead~ DESQview Overview (VO)

 DESQview Overview gives you information about DESQview and the
window in which Manifest is running. This screen only appears if
you are running Manifest in DESQview.

 The display identifies the DESQview version number and selected
window information. If you are using DESQview version 1.xx then
only the version and memory size will be displayed on this
screen.

~Subhead~ Uses of This Screen

 You can use this screen to:

~Item~ lookup the DESQview version number, 

~Item~ see the Memory Size (in K) allocated to this window (as
specified in Change a Program), and

~Item~ determine the row and column positions  of your DESQview
window.

 Experimenting with Move and Resize: You can use the DESQview
Move and Resize commands to try out different positions to find a
combination of row and column which pleases you. Press the Space
bar to find out the row and column numbers. You can then use
Change a Program to make these row and column settings permanent.

~Subhead~ DESQview Memory Status (VM)

 DESQview Memory Status shows information about the amount of
memory that is available to DESQview. This display is similar to
the Memory Status program which comes with DESQview, but is made
available in Manifest as a convenience. This screen is only
displayed when Manifest is run in a DESQview window.

 You use this screen to:

~Item~ determine the largest size program that can be run in
DESQview, 

~Item~ see how much expanded memory is available in which to run
programs, and

~Item~ check the current status of common memory. 

~Subhead~ Key Terms

 The information displayed on the screen has terms with which you
might not be familiar.

~Item~ Common Memory (in bytes): the memory used internally by
DESQview for housekeeping, storing marked data, and providing
memory to DESQview-specific  programs, (such as DESQview Notepad
or the Novell Netware Access Server). The amount of Common Memory
allocated is specified by DESQview Setup.

 Total Common Memory: the amount of common memory available when
DESQview starts up. 

 Total Available Common Memory: the total amount still available
for use. The difference between Total and Total Available Common
is that currently in use by DESQview. 

 Largest Available Common Memory: indicates the  largest single
block of common memory which is currently available. 

~Item~ Conventional Memory (in K): in Memory Status, conventional
memory refers to the conventional and high memory in which
DESQview can run programs. This does not include memory areas
used by DESQview itself and all memory allocated for data and
programs prior to loading DESQview.

 Total Conventional Memory: the total amount of conventional
memory that DESQview manages. This memory may not be contiguous.

 Total Conventional Memory Available : the total amount of
conventional memory currently available.

 Largest Conventional Memory Available : the largest  contiguous
block of conventional memory available.

~Item~ Expanded Memory (in K): refers to memory available and
managed by an expanded memory manager.

 Total Expanded Memory: the amount of expanded memory managed by
the expanded memory manager.

 Total Expanded Memory Available: the total amount of expanded
memory usable by DESQview at this moment.

 Largest Expanded Memory Available: the largest block of memory
for opening a window using back-filled, mappable memory available
at this moment. Refer to the Expanded Pages (PA) screen outside
of DESQview for a list of what pages are mappable.

~Subhead~ Hints

 Largest Expanded Memory Available is 0K (zero) indicates that
there is no memory back filled from an expanded memory card for
one of the following reasons:

~Item~ you have used all of this memory, 

~Item~ your add-on memory hardware is not EEMS or EMS 4
compliant,

~Item~ your configuration for the board is incorrect,

~Item~ your system memory cannot be back-filled,

~Item~ your expanded memory manager does not support back-
filling.

 You Cannot Open a Large Window. Opening a window involves both
memory that a user can define as well as memory which DESQview
must have to support the new program. Items the user specifies
are memory size, script-buffer, system memory, video
pages~dash~all found in Change a Program. In addition, DESQview
requires 7 to 11K. Starting with Version 2.2 DESQview lets you
know what additional memory it needs when you open a window for
which there is insufficient memory.

 Available Common Memory Usage: If the largest available common
memory falls below 1500, you may not be able to open any more
windows. However, common memory comes out of conventional memory,
so do not increase common memory (via DESQview Setup) unless this
occurs or DESQview tells you to increase common memory.

 Discontiguous Conventional Memory: DESQview can load much of
itself into high memory. It can map memory into mappable
locations above conventional memory, or it can share high RAM
with resident programs. Using this screen, you can determine if
there is more memory available in high memory than DESQview can
use. With Manifest running as the first and only DESQview window,
the difference between the Largest Available Conventional Memory
and the Total Available Conventional Memory is the amount of
memory that exists in high memory but has not been used by
DESQview or anything loaded before DESQview. If this amount is
large, more resident programs could be loaded high without
impacting conventional memory size inside DESQview.
