Chapter 11

Hints

This chapter describes the Hints category of Manifest. The Hints
screens present you with information that could help you make the
most of your particular system. The hints that appear are there
because Manifest, in its analysis of your system, has discovered
certain aspects of use or allocation of memory that could be
optimized. 

Two topics are available: the Overview and Detail. The Overview
topic is a list of short directives suggesting a particular
action. 

The Detail topic presents the reasons you should follow the
suggestion, the reasons why you might not care to change your
system, and how to make the changes if you decide to do so. Where
appropriate and possible, the hint detail will suggest an optimal
value.

The hints cover a wide range of topics, from the memory devoted
to DOS resources (BUFFERS, FILES, etc.) and other matters common
to DOS or to any industry standard system, to hints which are
applicable to a particular make or model of PC. Hints for
optimization of recognizable device drivers supplied by other
vendors might appear as well as advisories specific to
Quarterdeck's products.

Suggested actions will range from the addition or removal of
statements in your CONFIG.SYS and AUTOEXEC.BAT files to checking
that some hardware device is configured properly. Some changes
might gain you some more memory, others might prevent memory
clashes which could bring your system down if ignored. Some hints
you might see here will be easily understood, both as to the
meaning of the suggestion and the action required to effect the
change. Others may take more of your time and require referencing
one or more manuals covering the equipment involved.

Although stated as an imperative, there could be a number of
reasons why you do not wish to alter your system in the manner
prescribed. For additional insight into the suggestion, you will
want to examine the detail screen explaining the suggestion.

~Subhead~ Hints Overview (HO)

 The Hints Overview screen presents you with a list of one line
descriptions of optimizations you may wish to perform.

 If Manifest has not found any conditions upon which to comment,
this screen will show, "Everything checks out OK. Nothing to
suggest.".

~Subhead~ Hints Detail (HE)

 The Detail screens address each of the hints given in the
Overview section in turn. Each screen covers one suggestion and
has the following format: a WHY section, a WHY NOT section, and a
HOW section. The bottom of each screen will indicate if there are
more hints.

 The details contained in each section vary depending on the
topic involved. The WHY section states the reasons which motivate
the hint, citing numbers where that would help in the
justification. The WHY NOT section provides the counter argument
which will perhaps remind you of special situations requiring
your current configuration. The HOW section describes the action
to take if you agree to the suggestion.

~Subhead~ Example Hint

 As an example, consider the case where the given hint is "Reduce
the number of DOS FILES allocated". The reason for the hint is
that your FILES=statement in CONFIG.SYS is set to a large number,
say 99. For most purposes, this number is far more than is needed
and the memory required to support that many handles is
excessive. However, a few applications do require a large number
of file handles. They will have altered your CONFIG.SYS file
during the installation process (or will have requested that you
do so), and will not initialize or function properly if that
number of files is unavailable.

 In this example, the information given may be sufficient to
remind you of the situation calling for the setting involved, in
which case you would take no action. Or, if you are unsure why
the value is set as it is, you may decide to experiment with
lower values. Other suggestions and other situations may be less
clear or involve additional research. 
