Chapter 2

Installation

 You install Manifest on your PC by running the installation
program, INSTALL, on your Manifest diskette.

 Before you install Manifest on a newly purchased PC, be sure to
complete the standard installation and setup procedure of your PC
before running the Manifest INSTALL program. And make sure your
PC is running.

~Subhead~ Installing Manifest 

 To install Manifest:

~Step~ Place the diskette containing Manifest in your floppy
drive, for example, drive A.

~Step~ Type A:INSTALL and press <Enter>.

The INSTALL program asks you to indicate the drive and directory
where you want Manifest installed. It then copies Manifest's
files to that drive and directory. Manifest installation is
complete. You are now ready to run Manifest.

NOTE: If Manifest is bundled with another Quarterdeck product,
the same INSTALL program installs all Quarterdeck products on the
diskette. 

~Subhead~ Running Manifest 

You can run Manifest in any of three ways: as a standard DOS
program with all screens available, by using a command line
option to display the raw information without Manifest's visual
display, and as a TSR.

To run Manifest in the standard way: 

~Step~ Change to the drive and directory containing Manifest.

~Step~ Type MFT and press <Enter>.

The System Overview display of Manifest appears on your PC's
screen.

~Subhead~ Command Line Options

 From the DOS command line you can display the raw information
contained in a specific Manifest screen (i.e. information without
Manifest's visuals). You do this by adding the category and topic
name of the desired screen when you load Manifest. For example,
to see Manifest's DOS Overview information:

~Step~ Type MFT DOS OVERVIEW and press <Enter>.

You may enter abbreviations for any Manifest display. In the
example above, DOS Overview, you can: 

~Step~ Type MFT D O and press <Enter>.

For a more detailed description on using command line options,
command line switches and Manifest abbreviations, see Roadmap,
pages 10 and 12.

NOTE: If you have an LCD or Gas Plasma display, as on some
laptops, we recommend that you:

~Step~ Type A:INSTALL /m and press <Enter>

~Subhead~ Running Manifest as a TSR

 Manifest can be told to run as a Terminate and Stay Resident
(TSR) program. In this mode, you can run some other program and
pop up Manifest to examine what effect the program has had on
your system. Most notably, you can see what memory and what
interrupts the program uses and what files it keeps open. This
information is typically of most interest to programmers or to
advanced users trying to track down a specific problem. You can
run Manifest as a TSR in either of two ways.

If Manifest is running and you want to leave it resident (pop
down): 

~Step~ Select the Exit category and the Stay Resident topic.

~Step~ Hold down the combination of keys that you want to use to
pop Manifest up and down. (Default is Left Shift and Control).

To run Manifest as a TSR from the DOS  command line:

~Step~ Type MFT/T and press <Enter>.

In either case, Manifest stays resident, but returns you to the
DOS prompt. You may then run the program you want to examine. At
the appropriate time:

~Step~ Hold down Manifest's hot key combination (Left Shift and
Control, by default) to pop Manifest back up.

Note that as long as you don't run any other TSRs after Manifest,
you can remove Manifest from memory by selecting the Exit topic
from the Exit category after popping Manifest back up.

~Subhead~ If You Have A Problem Running Manifest

 Owing to the diversity of hardware and software that may be
installed on a PC, sometimes your introduction to Manifest may be
less enlightening than you (and certainly we) had hoped.
Fortunately, these startup problems are rare. Listed below are
some sources of what might cause Manifest difficulty in ways that
range from wildly inaccurate information to system hangs.

 DOS Incompatibilities: Manifest supports PC-DOS and MS-DOS
2.xx-4.xx. Extensive tests have been performed over the entire
range of releases. Problems may arise from patches grafted to
DOS, or to device drivers or TSRs which interfere with Manifest's
ability to determine some of the information it needs.

 Expanded Memory Manager Problems: Manifest relies on an
installed memory manager for information it reports. An installed
memory manager that does not fully and properly support one of
the EMS standards may cause reporting problems.

 Display Problems: Manifest displays its screens in color if you
have color capability. If Manifest should be in color and is not,
some previously run program has changed the standard video mode.

 If you are experiencing problems, please see Appendix A,
Troubleshooting.
