Chapter 3

Road Map

 Manifest analyzes your PC's memory and reports to you about the
hardware and software that use this memory. Manifest's purpose is
to give you the information you need to make optimal use of your
memory. 

We suspect that many PC users may be confused about the different
kinds of memory (first megabyte, conventional, extended,
expanded) that a PC can have and about the capabilities of each.
To assist you in understanding memory, we've included a brief
description and history about each kind of memory in the
appropriate Manifest chapter. 

Manifest's memory analyses reports are grouped into categories
that describe a particular aspect of your PC. The categories are
listed on the left of the Manifest display. This category list is
always displayed. Manifest categories include: System, First Meg,
Expanded, Extended, DOS, QEMM-386, DESQview, Hints and Exit. 

Two categories, QEMM-386 and DESQview, appear only if
Quarterdeck's Expanded Memory Manager-386 or DESQview is running
when you start up Manifest. The next to the last category, Hints,
gives you Manifest's suggestions about how to better optimize
your memory usage.

Each category has several topics of information. The topic names
for each category are listed on the top line of the Manifest
display. Note that as you press the down arrow key, the topic
names change. Note also that as you press the up, down, right or
left arrow keys, the display in the center of the screen changes
to show the category and topic selected. You can also display a
particular Manifest screen by typing the highlighted character of
a category or topic name. That is all there is to moving around
in Manifest.

The first topic of each category is a summary or overview of that
category. The most useful information for non-technical PC users
is displayed here. 

The Manifest screens shown in this document were captured when
running Manifest on a Compaq Deskpro 386/20 with QEMM-386 Version
5 loaded. Therefore the screens you see may differ from those
shown in this manual.

 Manifest's categories give you the following information about
your PC: 

~Item~ System: This category describes the hardware in your PC
and the contents of your CONFIG.SYS and AUTOEXEC.BAT files. This
is an excellent reference source for knowing and being able to
tell others about your PC. Since Manifest lets you print or save
screens, you can quickly make an inventory record of your PC by
printing the System category.

~Item~ First Meg: This category gives a picture of your first
megabyte of address space. It may be important to those users
suffering from RAM cram (i.e. those trying to use a network, a
mouse, TSRs, and a large application program at the same time).
The information here shows you how much memory your programs and
DOS are using, as well as a map of what memory locations are
being used by your adapters. With this information you can
determine whether any drivers or TSRs can be run in the high
memory area of your PC (from 640K to 1024K). For programmers,
this section shows the interrupts used by each program
running~dash~helpful when you think there is a conflict between
two programs~dash~and the contents of the BIOS data area. There
is also a timing test of the first megabyte of memory. You can
compare your PC with other PCs~dash~or you can use this
information to help optimize what memory you use for what
programs.

~Item~ Expanded: This category gives you a quick reference to
what kind of expanded memory you have (EMS 3.2, EEMS, EMS 4.0),
how much you have and how it is being used. In addition, for
those interested in knowing performance statistics, there are
timing tests for your expanded memory, as well as benchmark tests
for measuring how long it takes for your expanded memory manager
to perform specific expanded memory functions.

~Item~ Extended: In this category information about the extended
memory is reported. If you have an Extended Memory Manager (XMS)
driver loaded (for example Quarterdeck's QEMM or QEXT, or
Microsoft's HIMEM), this driver information is also reported.

~Item~ DOS: This category gives details about how DOS uses
memory. Here you can see the memory used by the DOS kernel, add-
on drivers and other DOS resources. 

~Item~ QEMM-386  (reported only if you are running the
Quarterdeck Expanded Memory Manager 386): This category gives
information on QEMM and the way it has configured your computer's
memory. Also included here is a report of what memory has been
accessed by your programs, aimed toward determining extra areas
of high memory that can be used.

~Item~ DESQview (reported only if you are running DESQview): This
category tells you about the DESQview window in which Manifest is
running. Manifest also reports on the status of all of the memory
that DESQview controls.

~Item~ Hints: Manifest tries to help you optimize the use of your
PC's memory as much as it can. So, when it spots some way for you
to save memory or better use your memory, it will tell you about
it. Also, if it sees that some piece of hardware or software has
been misconfigured in some way, it will point out the problem to
you.

~Item~ Exit: The Exit command lets you quit Manifest or set it up
as a TSR. Running Manifest as a TSR can give you valuable
information about how an application program, loaded after
Manifest, uses memory and interrupts.

~Subhead~ The Manifest Display

 The Manifest display consists of three sections. On the left is
a list of as many as nine categories of information. The list
varies depending upon whether Quarterdeck's QEMM-386 or DESQview
are running. The category selected is marked by two arrows.

 At the top of the display is a horizontal list of topics
included in the category selected. The topic selected is shown in
reverse video.

 The information displayed in the center of the display is the
Manifest information about the category and topic selected. When
you start up Manifest the category System and the topic Overview
are automatically selected by Manifest.

 You exit Manifest by selecting the Exit category. Pressing the
ESC key at any time displays the Exit Screen. Pressing ESC again
exits Manifest.

~Subhead~ Memory Addresses Explained

 Many of the Manifest screens use hexadecimal (hex) numbers to
represent address ranges or other values. Hex numbers include the
digits 0-9 and the letters A-F, giving 16 possible values for
each hex digit.

 In Manifest, memory addresses are shown as four hex
digits~dash~representing the 16-byte boundary (often called a
paragraph) of the addresses. Thus, 0000 is memory address 0, and
0001 is 16 bytes into the address space. Every 1000 hex numbers
represent 64K, so 1000 is 64K, 2000 is 128K, 4000 is 256K, 8000
is 512K, A000 is 640K, etc. 

 The entire one megabyte (0K-1024K) address space is represented
as 0000-FFFF. 

~Subhead~ Using the Keyboard 

 Moving around Manifest is easy. To move around, you use the
Arrow keys. You select a Manifest category by pressing the Up and
Down arrow keys until the button containing the category you want
has arrows on the left and right side of the button. You select a
Manifest topic by pressing the Right and Left arrow keys until
the topic name is shown in reverse video.

 Some topics you select have more information than will fit on
one screen. To page through the information:

~Item~ press the PgUp or PgDn key to display the previous or next
screen of information, or 

~Item~ press the Home or End key to display the first or last
screen.

 Some topics display their information in two different formats.
To switch between the formats: 

~Item~ press the F3 key.

 Each screen in Manifest, except when otherwise stated, is a
static display. That is, it displays its information and then
waits for a new command, taking no background time when run in
DESQview. Sometimes, you may be interested in whether the
information on the current screen has changed. At any time you
may:

~Item~ Press the Space Bar to update the current screen.

~Subhead~ Using the Mouse

 If you have loaded a Microsoft compatible mouse driver, you can
use a mouse or the keyboard interchangeably~dash~using whichever
is convenient at the time.

 The position of the mouse on the screen is indicated by a white
diamond, u, ~dash~the mouse cursor. As you move the mouse, this
diamond moves.

 Manifest uses one mouse button:

~Item~ the Select button (left button) selects the item pointed
to by the mouse cursor.

 Using the mouse you can select a category, topic or a command
(for example, Help, Print, PgDn, F3). To do this:      

~Item~ position the mouse on the name or the key you want to
select, and

~Item~ click the select button.

~Subhead~ Using Abbreviations

 You can also select a particular screen by typing the
highlighted letter of the category and topic name. The table
below lists the keys you use to quickly display a screen. 

BEGIN TABLE

The headings are Category, Screen and Keys.

Category:  System
Screen: Overview
Keys: SO

Category: System
Screen:  CONFIG
Keys:  SC

Category:  System
Screen:  AUTOEXEC
Keys:  SU

Category:  System
Screen:  Adapters
Keys:  SA

Category:  System
Screen:  CMOS
Keys:  SM

Category:  Firsat Meg
Screen:  Overview
Keys:  FO

Category:  First Meg
Screen:  Programs
Keys:  FR

Category:  First Meg
Screen:  Interrupts
Keys:  FI

Category:  First Meg
Screen:  BIOS Data
Keys:  FB

Category:  First Meg
Screen:  Timings
Keys:  FM

Category:  Expanded
Screen:  Overview
Keys:  PO

Category:  Expanded
Screen:  Pages
Keys:  PA

Category:  Expanded
Screen:  Handles
Keys:  PN

Category:  Expanded
Screen:  Timings
Keys:  PM

Category:  Expanded
Screen:  Benchmark
Keys:  PB

Category:  Extended
Screen:  Overview
Keys:  TO

Category:  Extended
Screen:  XMS
Keys:  TM

Category:  DOS
Screen:  Overview
Keys:  DO

Category:  DOS
Screen:  Drivers
Keys:  DR

Category:  DOS
Screen: Files
Keys:  DI

Category:  DOS
Screen:  Environment
Keys:  DE

Category:  QEMM-386
Screen:  Overview
Keys:  QO

Category:  QEMM-386
Screen:  Type
Keys:  QY

Category:  QEMM-386
Screen:  Accessed
Keys:  QA

Category:  QEMM-386
Screen:  Analysis
Keys:  QN

Category:  QEMM-386
Screen:  Memory
Keys: QM

Category:  DESQview
Screen:  Overview
Keys:  VO

Category:  DESQview
Screen:  Memory Status
Keys:  VM

Category:  Hints
Screen:  Overview
Keys:  HO

Category:  Hints
Screen:  Detail
Keys:  HL

Category:  Exit
Screen:  Exit 
Keys:  XE

Category:  Exit
Screen:  Stay resident
Keys:  XR

END TABLe

~Subhead~ Getting Help

 Help gives you immediate online assistance for a Manifest
screen. 

 To get help for a particular Manifest screen using the keyboard:

~Item~ display the screen in question, then

~Item~ press the F1 key.

 To get help using the mouse:

~Item~ display the screen in question, and

~Item~ click the Select button of the mouse on F1=Help, at the
bottom left of your Manifest display.

 To exit Help:

~Item~ press F1 again or press the Esc key, or

~Item~ click the select button of the mouse on F1=Help, at the
bottom left of your Manifest display.

~Subhead~ Printing

 You can print the screen displayed, all screens in an entire
category, all Overview (first) screens, or all of Manifest. You
can print this information directly to a printer, save this
information in a file or append it to another file. To print:

~Item~ Display the screen to be printed and press the F2 key to
display the Print menu (or select F2=Print using the mouse).

~Item~ Indicate Where to Print by using the Up and Down arrow
keys to move to the selection you want, or make your selection
using the mouse.

~Item~ If you wish to print or append to a file, type the file
path and name you want. Use Left and Right arrow keys, Del,
Backspace, Insert, Home and End to edit that name.

~Item~ Press the Tab key to position the cursor in the What to
Print box.

~Item~ Indicate What to Print by using the Up and Down arrow keys
to make your selection (alternately you can select using the
mouse).

~Item~ End by pressing the Enter key or Esc to cancel.

 NOTE: The printer used by Manifest is LPT1. If you wish to use
another printer, we suggest that you save the Manifest
information to a file and use your favorite word processor to
print it. 

~Subhead~ Command Line Options

 Manifest normally displays all of its information in its
standard display format (see page 9) and determines its own
display characteristics (color or monochrome). It does, however,
recognize parameters and command line switches which modify in
one way or another, the default characteristics and presentation
of Manifest reports. 

 In general these options allow you to modify the display
characteristics of the screen reports or produce one or more ad
hoc reports directly from the command line. In addition, there is
a switch which instructs Manifest to load itself as a Terminate
and Stay Resident (TSR) program, and there is a switch which
allows you to select how information with alternate formats is
first displayed.

 Command Line Switches

 Command line switches let you select preferences about how
Manifest presents its information. With them you can override
default settings that Manifest would ordinarily use. To detect
the presence of a switch command, Manifest requires that you
immediately preceed the single character denoting the switch with
a forward slash (/). Manifest's command line switches are: 

~Item~ /M displays screens in 2 color monochrome, 

~Item~ /L displays in 43 line (EGA) or 50 line (VGA) mode,

~Item~ /N indicates the CGA adapter does not need sync (no snow),

~Item~ /A shows alternate (detail) screen first,

~Item~ /P pauses after each screen to console, 

~Item~ /T executes Manifest as a TSR,

~Item~ /? displays Manifest's command line options,

~Item~ /Bd (d is the letter of the drive which contains your
CONFIG.SYS and AUTOEXEC.BAT files in its root directory)
indicates where CONFIG.SYS and AUTOEXEC.BAT are located.
 
~Subhead~ Command Line Reports

 To generate one or more reports from the command line requires
that you enter a parameter which specifies which report or set of
reports you want. There are a number of ways you can enter this
parameter. One form is to enter the category and topic name:

~Item~ Type MFT First Meg Interrupts and press <Enter>.

 Alternately you can input an abbreviation for the category and
topic names. (See the table on page 10 for category and topic
abbreviations). 

 To see the same screen as above:

~Item~ Type MFT F I and press  <Enter>.

 To see  all topics in the First Meg category:

~Item~ Type MFT F  * and press <Enter>.

 To see all Overviews:

~Item~ Type MFT *  O and press <Enter>.

 To see all Manifest categories and screens:

~Item~ Type MFT *  * and press <Enter>.

 Reports produced in this fashion contain the same information as
the associated Manifest screen. The text is formatted as it is on
a screen, but it is simply output to the display and will scroll
off the top of the screen if the number of lines exceeds the
screen capacity (see the pause switch, /P). This output can be
redirected, however, and so can be captured to a printer or file.
You can of course do this from within Manifest also, but there
may be times when this form of the reports is more convenient.

 Command line switches may appear before or after the parameter
which selects the report you specify. However, not all
combinations of switches with a report specification are valid.
Manifest will not, for instance, produce a scrolling report and
honor the switch for 43 or 50 line video mode. The video mode
request will be ignored.
