Chapter 4

System

 The System category of Manifest shows you key information about
your PC hardware and gives you a quick inventory of the
components of your PC. 

 Manifest's purpose is to show you what you have. In doing this
it assumes that you know what a processor, video adapter, the
BIOS, CMOS, etc. are. If you encounter a term you do not
understand, please refer to the glossary. Manifest makes no
attempt to teach you how to create the DOS CONFIG.SYS or
AUTOEXEC.BAT files which control and customize your PC. But, for
new PC users, having quick access to the information in these
files, is important if you need assistance in configuring your PC
or in getting help on a program. 

One of Manifest's most important benefits is to teach you about
your PC, its memory, and about DOS. However, it is not, and makes
no attempt to be, a complete reference on any of these topics. If
you are interested in a less technical and more general
discussion of PCs and DOS, you should look through the many fine
books available both in computer stores and retail book outlets.
For a complete, although dry, description of the commands for
DOS, you can consult your DOS manual. For detailed technical
information about your particular PC or any hardware, consult the
manufacturer of the hardware to see what technical reference
guides are available. Technical information about the expanded
memory specification (EMS) is available from Intel. Information
about the extended memory specification (XMS) is available from
Microsoft.

In describing your PC, Manifest utilizes a number of methods and
techniques, many of them well established and published. For
example, it makes memory manager calls to determine expanded
memory and it reads the CMOS memory area to list that database of
information. While many of these techniques refer across the
board to any industry standard system, others do not. Certain
information contained in CMOS Configuration memory, for instance,
is well established. But the contents of the CMOS memory array
was not completely defined initially and, where the definition
was left 'open', the meaning of the information it contains is
sometimes difficult to interpret. 

All this is simply to point out that the information on different
Manifest screens may, in a few cases, be contradictory. Where and
why this can occur is often informative and useful in itself and
may help to explain why some of your programs seem to be more
aware of your system components than others. To clarify this
point, the System Overview screen may indicate that you have an
80x87 math co-processor installed, while the System CMOS screen
indicates that you do not. If this occurs, for whatever the
reason, it might be worthwhile to track down the differences.

Manifest reports on memory as it appears to a program. DESQview,
to establish a multitasking environment, must monitor or limit
access to certain resources for programs running inside DESQview.
Thus, Manifest reports different information about expanded and
first meg memory usage, and serial ports when run inside
DESQview. To see how your PC looks to a program inside DESQview,
run Manifest in a window. To see how your PC is really
configured, run Manifest outside DESQview.

~Subhead~ System Overview  (SO)

 System Overview tells you about your PC hardware, giving you the
high level information you need to:

~Item~ describe your PC hardware configuration to someone, 

~Item~ provide an initial specification for a hardware purchase,
and

~Item~ print an inventory summary of your PC hardware. 

 You can use System Overview when you want to know what is in
your PC and what is not ~dash~ or what is working and what is
not. 

 The total memory column displays conventional and extended
memory as reported by your CMOS and expanded memory as reported
by your expanded memory manager. Note that when QEMM-386, 386-to-
the-Max, Compaq's CEMM, and other software expanded memory
managers are running, the total memory reported will be greater
than the actual memory you have available. The difference beween
total memory and available memory tells you what memory is being
used by DOS, TSRs, disk caches, network drivers, etc.

~Subhead~ Reporting Anomalies

~Item~ Manifest finds the information it reports using a number
of recognized techniques. But sometimes it can be inaccurate,
through no fault of its own. For example:

~Item~ Manifest may indicate that your keyboard is standard (84
key) when it is really enhanced (101 or 102 key). One cause of
this inaccuracy may be a TSR, loaded before Manifest, which does
not support the enhanced keyboard. Another cause may be that you
are using an enhanced keyboard with a standard keyboard BIOS ROM.

~Item~ Manifest may report a special high resolution graphics
adapter as one of the standard video adapters it most closely
resembles (CGA, EGA, VGA, etc.).

~Item~ Manifest will only report a BIOS that identifies itself in
a recognizable way.

~Item~ Manifest determines the presence of a math co-processor
programmatically and directly. It does not rely on CMOS or the
installed hardware byte in the BIOS Data Area.

~Subhead~ Memory Accounting

 Total Conventional, Extended, and Expanded Memory often add up
to more memory than you have in your PC.  When you have  expanded
memory hardware, the total memory reported by Manifest equals the
total memory in your PC. However, when you have converted
extended memory into expanded memory (by QEMM, Compaq's CEMM,
386-to-the Max, or 8088/80286 EMS software emulators), memory is
counted twice. 

 Some 80286 and 80386 machines have 384K of memory set up in a
non-standard way. That is, it is neither conventional, nor
expanded, nor extended memory. Sometimes this 384K of memory is
set up as Shadow RAM (such as on machines which use certain Chips
& Technologies chip sets), and sometimes it is set up as what we
call "Top Memory" (most notably on many Compaq models). In either
case, it is typically used by your PC to increase performance of
your system and video ROMs. Since this memory is not, by default,
accessible in the same ways as the three standard memory types,
Manifest will usually not include it in its memory listings.

 Manifest can assist you in diagnosing memory problems. For
example:

~Item~ If the Total Extended Memory reported is 0, but you think
you have some, check that you have an 80286 or 80386 based PC,
and that your PC's Setup program was properly configured for
extended memory. Then watch the memory count up at cold boot time
to check to see if there is a bad memory chip.

~Item~ If you think you have expanded memory but the Total
Expanded Memory reported is 0, check that you have expanded
memory hardware, that an expanded memory manager is installed in
your CONFIG.SYS file, and that there are no device drivers or
TSRs which interfere with the expanded memory manager.

 Available Memory represents the memory you have available at the
time Manifest is run. Note that:

~Item~ Manifest may report that you have less extended memory
being used (i.e. Total - Available) than is the case. This does
not necessarily indicate a problem, but does indicate that you
should exercise caution when installing other devices which use
extended memory, to insure that no conflicts occur.

~Item~ If Available Expanded Memory is 0, check that you do not
have software using it, and that you are not running Manifest in
a DESQview window whose "Maximum Expanded Memory Size" is set to
0K.

 Available Extended Memory & QEMM-386: When using a program, such
as QEMM-386, which converts extended memory to expanded memory,
the available extended memory will typically be 0. Note that even
if no expanded memory is being used, the available expanded
memory is less than the total extended memory. This difference
reflects the amount of extended memory used by QEMM-386.

 Available Conventional Memory & DESQview: If you are running
DESQview, the amount of available memory  reflects the amount of
memory specified for the window running Manifest. The total
conventional memory number indicates the highest memory address
accessible to the window, not the total conventional memory in
your system.

~Subhead~ System CONFIG (SC)

 System CONFIG shows you the contents of your PC's CONFIG.SYS
file, if you have one. This file customizes your PC when the
operating system is initialized.

 The statements found in this file extend the operating system
with software which controls your add-on hardware devices (for
example, mouse, network, RAM disk, expanded memory). CONFIG.SYS
statements also may increase or decrease DOS resources ~dash~
i.e. the number of buffers, file control blocks (FCBS), files,
and stacks. All these may affect memory usage.

 You use the information in this Manifest screen to:

~Item~ help determine overall memory usage,

~Item~ identify add-on hardware and software devices, 

~Item~ confirm the presence of required devices, and

~Item~ determine if the DOS resources meet your individual
requirements.

~Subhead~ Please Note

 How Manifest Finds Your CONFIG.SYS: Manifest finds  CONFIG.SYS
by looking at DOS 2.0-3.3's COMSPEC= environment variable for a
drive letter or by using DOS 4.x's ability to report the drive
from which you booted.

 For DOS 2.0-3.3, Manifest can only find the correct CONFIG.SYS
if the COMSPEC variable leads to the root directory of your boot
disk drive. If you boot from a floppy disk drive, but change the
diskette, Manifest may not find the correct CONFIG.SYS file.
NOTE: The COMSPEC variable always exists in the DOS environment
available to every program. It is set by COMMAND.COM and is
seldom, if ever, changed by any other program.

 Manifest also has a command line switch (/B), which lets you
tell Manifest where your CONFIG.SYS and AUTOEXEC.BAT files are,
when you start up Manifest.

 How Manifest Displays CONFIG.SYS: If a statement in CONFIG.SYS
exceeds the width of Manifest's display, the line is wrapped to
the next line. When this occurs, you will see an ellipsis (...).

~Subhead~ System AUTOEXEC (SU)

 System AUTOEXEC shows you the contents of your AUTOEXEC.BAT
file, if you have one.

 Statements in the AUTOEXEC.BAT file are executed by DOS every
time you start up your PC. They serve to individualize your PC in
a number of ways ~dash~ including specifying search paths,
setting up a meaningful prompt, loading Terminate and Stay
Resident programs (TSRs), and executing batch files. 

 You use the information in this display to:

~Item~ remind you of how you have customized your PC and possibly
uncover the presence of obsolete utilities,

~Item~ identify any TSRs being loaded, and

~Item~ help determine overall memory usage.

~Subhead~ Please Note

 How Manifest Finds Your AUTOEXEC.BAT: Manifest finds
AUTOEXEC.BAT by looking at DOS 2.0-3.3's COMSPEC= environment
variable for a drive letter, or by using DOS 4.x's ability to
report your boot drive.

 For DOS 2.0 - 3.3, Manifest can only find the correct
AUTOEXEC.BAT if the COMSPEC variable leads to the root directory
of your boot drive. If you boot from a floppy disk drive, but
change the diskette, Manifest may not find the correct
AUTOEXEC.BAT file. NOTE: The COMSPEC variable always exists in
the DOS environment available to every program. It is set by
COMMAND.COM and is seldom, if ever, changed by any other program.

 Manifest does have a command line switch (/B), which lets you
tell Manifest where your CONFIG.SYS and AUTOEXEC.BAT files are,
when you start up Manifest.

 How Manifest Displays Your AUTOEXEC.BAT: If a statement in
AUTOEXEC.BAT exceeds the width of Manifest's display, the line is
wrapped to the next line. When this occurs, you will see an
ellipsis (...).

~Subhead~ System Adapters (SA)

 System Adapters presents three (and sometimes four) screens of
key information about your PC's video monitors and adapters, disk
drives, and serial and parallel ports. If you own a PS/2 or
compatible Micro Channel machine, Manifest reports information
about special adapters you have, using its Adapter Description
Library (MCA.ADL) file.

 You can use the information in these displays to:

~Item~ confirm the video and disk hardware and the number of
serial and parallel ports installed in your PC, 

~Item~ find out the characteristics of your displayhardware, 

~Item~ help track down any conflicts occurring as a result of
improper installation, or conflicts between your video, your
adapters and your programs.

~Subhead~ Video Adapters

 The first System Adapter screen is the Video Display Adapter
screen. This screen presents details about the display adapters
you have installed in your PC. The type of adapter is given in
industry standard terms (i.e. CGA, VGA). The area(s) of adapter
memory used are shown (both ROM firmware and display memory). If
the ROM contains a manufacturer's signature, it is displayed. If
you have two display adapters, information about both is
displayed.

 You can use this Manifest display to:

~Item~ find out the capabilities of the display and adapter
installed,

~Item~ confirm the graphics capabilities of your PC, and 

~Item~ verify that your PC recognizes two adapters.


~Subhead~ Disk Adapters

 The Disk Adapters screen identifies the disk drives installed in
your PC. It shows the number of floppy and hard disk drives. For
each of these Manifest gives the drive characteristics, type
(identification number of the disk drive) and calculated
capacity. 

 Drive charactericstics include the number of read/write heads
(Heads), cylinders (Cyls), and sectors (Sects) that each
disk(ette) drive has. Capacity is expressed in kilobytes (KB) or
megabytes (MB).

 This display is useful to:

~Item~ confirm successful installation of new disk drives, 

~Item~ quickly determine if you have a high density floppy, and

~Item~ determine if you have multiple hard drives installed.

 Note: If you use a disk drive utility, such as SpeedStor, the
information reported here may be incorrect.

 Manifest reports the formatted capacity of your physical disk
drives. It does not reflect how those disks are partitioned into
logical drives.


~Subhead~ Serial & Parallel Adapters

 The Serial/Parallel Adapters screen shows the industry standard
Port I/O adapters present in your PC. It provides you with the
key information you need to know ~dash~ number of ports, BIOS
port address, and current signal state of the adapter. 

 Experienced PC users may find the signal states helpful in
tracking down problems. Serial ports report the following signal
conditions:

~Item~ CD ~dash~    Carrier Detect,

~Item~ RI ~dash~    Ring Indicator,

~Item~ DSR     ~dash~    Data Set Ready,

~Item~ CTS     ~dash~    Clear To Send. 

 Parallel ports have the following signal states: 

~Item~ SEL     ~dash~    Select

~Item~ OOP     ~dash~    Out of Paper

~Item~ ACK     ~dash~    Acknowledge 

~Item~ NBZ     ~dash~    Not Busy

 For both serial and parallel ports, Manifest indicates the
active status by an * and an inactive status by a -.

~Subhead~ Micro Channel Adapters

 The Adapter Description Table screen shows you the special
adapters installed in your PS/2 or compatible ~dash~ according to
Manifest's Adapter Description Library (MCA.ADL) file. For each
adapter, Manifest tells you its slot number, device type number
in hexadecimal, identifying name, and the area of memory used.

 You can use this screen to: 

~Item~ display adapter information without the need for your
reference disk, 

~Item~ resolve conflicts when programs use the same addresses, 


~Item~ understand the memory usage of your special adapters, and 

~Item~ print additional inventory information about your PC.

 NOTE: The MCA.ADL file must be available for Manifest to read.


~Subhead~ System CMOS (SM)

 System CMOS consists of multiple screens which show you the
contents of your CMOS memory. Note that 8088/8086 PCs have no
CMOS memory, so the CMOS screen is not available on these PCs. 

 The System CMOS display is similar to what is presented in your
PC's Setup program, which controls configuration details. The
contents of CMOS memory is preserved by battery power when your
PC is turned off. When and if you change your batteries,
information here may be lost.  

 You can use the information displayed here to:

~Item~ capture CMOS settings before you change the battery, 

~Item~ determine the presence of devices and memory as reported
by CMOS memory, and

~Item~ detect discrepancies in installed hardware as maintained
in CMOS memory versus other means of hardware determination.

~Subhead~ Troubleshooting

 If, for some reason your PC boots and indicates the need to run
your PC's Setup program, there is a good chance that the CMOS has
been corrupted. The most common occurrences of this are after
installation of new equipment, or when the battery for your PC's
CMOS needs to be replaced. 

 Maverick programs have been known to corrupt CMOS. Having a
recent hardcopy of a correct CMOS can save you a great deal of
time if you have to reset your CMOS values.

~Subhead~ CMOS List

 The CMOS List, (for the technical PC user),  shows the byte by
byte detail of your CMOS memory in tabular form. The columns in
the display show: the byte offset in hexadecimal, the meaning of
the byte, and the current value of the byte in hexadecimal. You
get this screen by pressing the F3 key when the CMOS Summary
screen is displayed.

 Note that most PCs have only 64 bytes of CMOS, so addresses 40
through 7F are a copy of bytes 00 through 3F.

 Experienced users may find this screen helpful in:

~Item~ resolving differences in Manifest's reporting of installed
equipment, or 

~Item~ ferreting out undocumented use of reserved bytes by your
PC manufacturer.

 Most of the information in the CMOS has standard meanings.
However, some PC manufacturers use the CMOS to maintain special
information such as unusual disk drives, screen blanking, memory
configuration, and other custom details. You will need to refer
to your PC's Technical Reference Manual if you wish to learn the
exact purpose of the CMOS values.
