Glossary

Quarterdeck Manifest

 Address Space: The range of memory addresses that the processor can
reference. PC's running in real mode have an address space of 1 megabyte.
Expanded memory can only be referenced after it is mapped into the
processor's address space.

Alternate Maps: See Real Alternate Maps.

AUTOEXEC.BAT: The batch file automatically executed by DOS when the system
boots up. This file typically specifies the initial PATH and PROMPT, and
loads whatever TSRs the user has specified.

Backfill: Any conventional memory which is supplied not on your PC's
motherboard, but instead by an add-on memory board. If the memory board is an
EMS 4.0 or EEMS card, then backfilling allows those cards to map that part of
the conventional memory area. Note that 80386 expanded memory managers, such
as QEMM-386, can map all of conventional memory without needing that memory
backfilled.

BIOS: The Basic Input Output System software which provides low level, basic
functionality to your system. This software is embedded in one or more ROMs
in high memory.

BIOS Data Area: The data area that is used by your PC's BIOS to keep track of
the state of your keyboard and video adapter and other standard hardware.

BUFFERS: A CONFIG.SYS statement that defines the number of disk buffers
placed by DOS in memory to enhance disk operations. Each buffer uses about
528 bytes of memory. Increasing the number of buffers tends to speed up file
operations at the cost of decreasing available memory.

CMOS: A special memory area that is used to store configuration information
needed at system boot-up. A battery maintains this memory while system power
is off.

Command Line Switch: Words or symbols on a command line which follow the
program name and which specify certain commands or options to the program.

COMMAND.COM: The standard command processor used by DOS. This is the program
responsible for displaying your DOS prompt and processing your DOS commands
(COPY, DIR, etc.).

CONFIG.SYS: The file which defines the initial configuration of DOS. It
typically specifies the number of DOS resources to be allocated and the
device drivers to be loaded.

Conventional Memory: The contiguous memory starting at 0K used by DOS to run
programs. This is usually 640K in size.

Coprocessor: An optional auxilliary processor used to speed up complex math
operations~dash~usually Intel's 8087, 80287, or 80387 or Weitek's
coprocessor.

DESQview: An operating environment created by Quarterdeck Office Systems
which allows off the shelf DOS programs to multitask with separate windows on
the screen. It also provides a menu-driven interface to DOS, a macro
facility, and the ability to transfer information from one DOS program to
another.

DEVICE: A CONFIG.SYS statement that tells DOS to load an add-on device driver
at system startup.

Device Driver: A piece of software used to communicate with an installed
hardware device (such as a printer, video adapter, disk drive, or memory
card).  It is either built into DOS or loaded using the DEVICE statement in
CONFIG.SYS.

DOS Data: See DOS Resource.

DOS Extender: Software that allows programs to use protected mode while
running under DOS.  Running in protected mode allows programs access to the
larger address space of the 80286 and 80386 processors. Among the large
applications which are now using DOS extenders are Lotus 1-2-3 Version 3 and
Paradox 386.

DOS Kernel: The two program files which contain the DOS code. These files are
called IBMBIO and IBMDOS in PC-DOS, and are called IO and MSDOS in MS-DOS.

DOS Resource: The blocks of memory allocated by DOS to keep track of its
various resources. Manifest reports on five DOS resources: BUFFERS, FCBS,
FILES, LASTDRIVE, and STACKS.

Environment: 1. The block of memory which contains the current PATH, PROMPT,
COMSPEC, and any other variables defined using the SET command. 2. A program,
such as DESQview, which resides on top of DOS whose purpose is to run other
programs in ways which enhance the usability and/or functionality of your
system.

Expanded Memory: Any add-on memory supported by a memory manager which can be
mapped into the first megabyte of address space. EMS 3.2: The original
expanded memory specification, endorsed by Lotus-Intel-Microsoft (the LIM
standard), which defined ho wprograms could use expanded memory. This was
limited to accessing 64K of expanded memory at a time.

EEMS: An enhanced expanded memory specification endorsed by
AST-Quadram-Ashton Tate. This specification extended the EMS 3.2 standard by
allowing more than 64K of memory to be accessed at a time, by allowing
expanded memory to be mapped into the conventional memory area, and by
supporting a single real alternate map. EMS 4.0: The current standard
expanded memory specification which unified the two previous standards, EMS
3.2 and EEMS, and added support for multiple real alternate maps.
Additionally, it added various software features which make it easier to
write expanded memory programs.

Extended Memory: Memory addressed above 1024K (one Megabyte).  

FCB: A file control block. This was the data structure used by DOS 1.XX
programs to access files. It is still used by some programs.

FCBS: A CONFIG.SYS statement which specifies the number of file control
blocks kept track of by DOS.

FILES: A CONFIG.SYS statement which specifies the maximum number of files
which can be open simultaneously.

Handle: A shortcut value used to refer to a particular item. For example, DOS
files are assigned a handle when opened so that a program need not refer to
the full name each time. Expanded memory handles are used to refer to groups
of expanded memory pages. XMS handles are used to refer to blocks of extended
memory.

High Memory: The area between the end of conventional memory (typically 640K)
and 1024K reserved for use by system hardware, such as the system ROM, video
and other adapters. High memory is not to be confused with the XMS term High
Memory Area.

High Memory Area: The area, as defined by XMS, from 1024K to 1088K, i.e. the
first 64K of extended memory. It is an important area because it is the only
extended memory that can be accessed directly by DOS programs.

High RAM: Portions of high memory into which RAM has been mapped.  Device
drivers and TSRs may be loaded here to minimize conventional memory overhead.

HMA: See High Memory Area.

Interrupt Vectors: The table of locations in memory through which hardware
events and software requests may get serviced by a supporting program. The
first 1024 bytes (1K) of conventional memory is devoted to storing interrupt
vectors.

K: The abbrevation for kilobyte, equal to 1024 bytes of memory.

Keyboard Buffer: The place where the BIOS stores keystrokes as they are
typed.

LASTDRIVE: A CONFIG.SYS statement which specifies the drive letter of the
last drive that DOS should support.

LIMulator: A piece of software that implements an expanded memory
specification by the inefficient means of copying extended memory back and
forth into the conventional memory space.

LOADHI: Two programs included with Quarterdeck's QRAM and QEMM products used
to load programs into high RAM. The LOADHI.COM program loads TSRs and DOS
resources into high RAM, while the LOADHI.SYS program loads device drivers
into high RAM.

Mappable: A portion of the address space through which expanded memory can be
accessed.

MB: The abbreviation for megabyte, equal to 1,024K or 1,048,576 bytes of
memory.

Memory Address: A number indicating a location for the processor to look for
a piece of memory. There may or may not be a piece of memory actually at that
location. To use memory addresses that have no memory associated with them,
you must first map memory into them.

Micro Channel Architecture (MCA): A bus design implemented by IBM in its PS/2
line of computers. Its relevance to Manifest is that it allows easier
identification of what adapter cards are installed.

Network Adapter: A hardware card that provides the interface between your
processor and a Local Area Network. This hardware often reserves portions of
high memory for its own use.

Page Frame: An EMS term describing the mappable area, 64K in size, which is
the place that almost all EMS programs use for mapping. Other mappable
regions are only used by programs written specifically for EMS 4.0 or EEMS.

Parallel Ports: Hardware ports used for communication with parallel devices,
such as printers, accessed through I/O addresses stored in the BIOS data
area.

Processor: The chip which controls your PC, usually either an 8086, 8088,
80286, or 80386.

Protected Mode: The mode of the 80286, 80386, and i486 processor which allows
all of extended memory to be accessed directly. Normally, DOS programs cannot
be run in protected mode. However, programs that use a DOS extender can run
in protected mode while still maintaining compatibility to DOS. See also Real
Mode and Virtual 8086 Mode.

QEMM: Either of two Quarterdeck products ~dash~ QEMM-386 or QEMM-50/60.  Each
product includes an EMS 4.0 driver and utilities to load TSRs, device
drivers, and DOS resources into high memory.

QEXT: Quarterdeck's Extended Memory Manager for 80286 PC's. Version 5.0 of
QEXT supports the XMS memory specification. Previous versions only supported
DESQview's use of the High Memory Area.

QRAM: The Quarterdeck product which enhances other vendor's EMS 4.0 or EEMS
drivers by providing utilities to load TSRs, device drivers, and DOS
resources into high memory.

RAM: Random Access Memory. This is the memory in your machine into which
programs and data may be loaded. Its contents are lost when power is turned
off. It is distinct from ROM in that the contents of RAM can be changed.

Real Mode: The processor mode common to all Intel microprocessors and the
only mode directly supported by DOS. In real mode, only the first megabyte
(1024K) of memory is addressable. See also Protected Mode and Virtual 8086
Mode.

Reserved: The designation given to memory areas which have not been given any
standard function, but have been reserved for future use. Some of these areas
are as yet unused, while others are used for different purposes by different
manufacturers.

ROM: Read Only Memory. This is memory that is fixed in content and cannot be
changed. The contents of ROM is not lost when the power is turned off. The
programs contained in ROM are responsible for controlling your hardware.

Serial Ports: Hardware ports used for communication with serial devices, such
as modems, accessed through I/O addresses stored in the BIOS data area.

Shadow RAM: A non-standard type of memory, 384K in size, used on some 80286
and 80386 PC's to speed up servicing of BIOS requests. It is typically
inaccessible for any other purpose, but QEMM-386 can convert some of it into
expanded memory.

STACKS: A CONFIG.SYS statement which specifies the number and size of the
stacks DOS uses for servicing hardware interrupts.

System ROM: The ROM which is responsible for initializing and servicing
requests to the standard hardware (disk drives, keyboard, standard video
adapters) attached to your PC.

Top Memory: A non-standard type of extended memory, 384K in size, which is
discontiguous with the rest of extended memory. It is addressed at the top of
the standard AT 16 megabyte address space.

TSR: A Terminate and Stay Resident program. Such a program initializes
itself, hooks up to system resources it wants to monitor (for example the
keyboard interrupt so that it can "pop up" later), reserves some memory for
itself, and then returns to the DOS prompt.  Quarterdeck's LOADHI.COM program
can load TSRs into high memory.

VCPI: Virtual Control Program Interface. This is a programming specification
created by Quarterdeck Office Systems and Phar Lap Software to allow DOS
extended programs to run when loaded after a virtual 8086 mode expanded
memory manager such as QEMM-386. Without VCPI, DOS extenders would be
incompatible with these expanded memory managers.

 Video Adapter: The hardware and ROM software that controls the video display
characteristics~dash~usually either monochrome, color graphics (CGA),
enhanced graphics (EGA), video graphics array (VGA) or Hercules.

Virtual 8086 Mode: A mode of the 80386 processor chip which has the following
two characteristics: 1) real mode DOS programs can run without modification,
and 2) extended memory can be mapped into the first megabyte of address
space. Virtual 8086 mode allows QEMM-386 to support EMS 4.0 without special
hardware and allows DESQview-386 to run graphics programs in the background.
See also Protected Mode and Real Mode.

XMS: The Extended Memory Specification created to allow DOS programs to
utilize high RAM and extended memory, including the High Memory Area, in a
cooperative way. 
